[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#664022: ITP: lazyarray -- Python module providing a NumPy-compatible lazily-evaluated array

Package: wnpp
Severity: wishlist
Owner: Michael Hanke <mih@debian.org>

* Package name    : lazyarray
  Version         : 0.1
  Upstream Author : Andrew P. Davison
* URL             : http://bitbucket.org/apdavison/lazyarray/
* License         : 3-clause-BSD
  Programming Lang: Python
  Description     : Python module providing a NumPy-compatible lazily-evaluated array

 The 'larray' class is a NumPy-compatible numerical array where operations on
 the array (potentially including array construction) are not performed
 immediately, but are delayed until evaluation is specifically requested.
 Evaluation of only parts of the array is also possible. Consequently,
 use of an 'larray' can potentially save considerable computation time
 and memory in cases where arrays are used conditionally, or only parts of an
 array are used (for example in distributed computation, in which each MPI node
 operates on a subset of the elements of the array).

This is basically a single file package with a number of tests (98%
coverage). This package will be needed for a new release of python-pynn.
Debian has 0.7.0 right now, latest upstream is 0.7.2


Reply to: